V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
davidyin
V2EX  ›  PHP

请教多版本 php 的安装使用

  •  
  •   davidyin · 2014-05-20 17:46:21 +08:00 · 2848 次点击
    这是一个创建于 2806 天前的主题,其中的信息可能已经有所发展或是发生改变。
    Centos系统,用apache做web服务器,多个网站。
    需要同时使用多个php版本,比如5.3, 5.4和5.5。
    4 条回复    2014-05-21 03:31:22 +08:00
    wdlth
        1
    wdlth  
       2014-05-20 19:53:20 +08:00   ❤️ 2
    可以用不同的FastCGI地址
    lovesky
        2
    lovesky  
       2014-05-20 21:28:48 +08:00
    1,编译安装到不同位置
    2,使用Docker
    pubby
        3
    pubby  
       2014-05-20 21:43:54 +08:00   ❤️ 1
    跑多个apache ,绑不同的端口,指定不同的php.ini

    前面加个nginx 80 端口做入口
    lm902
        4
    lm902  
       2014-05-21 03:31:22 +08:00
    全局设置禁用PHP,每个应用程序(目录或者子域名)使用FastCGI加载不同版本的php-fcgi.exe
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2230 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 22ms · UTC 15:56 · PVG 23:56 · LAX 07:56 · JFK 10:56
    ♥ Do have faith in what you're doing.